Since upgrading to 2.8 I’ve come across another issue. However, I’ve seen numerous people reporting the same problem after upgrades to previous WordPress versions, so I don’t think this is 2.8 specific.

Anyway, I couldn’t automatically update any of my plugins. I was getting an error along the lines of…

Could not copy file: /public_html/wp-content/upgrade/.....

This was also the error that stopped me from automatically updating WordPress as well. Anyway, the fix was simple – I used my FTP application to change the permissions on the upgrade folder. This seemed to cure it.